; X10 / X10i / X15 Windows Drivers Installer configuration file

[Setup]
AppName=X-line Windows Development Kit
AppVerName=X-line Windows Development Kit (Issue 81-19923-4)
AppVersion=81-19923-4
AppPublisher=Heber Limited
AppPublisherURL=http://www.heber.co.uk
AppCopyright=Copyright (C) 2008 Heber Limited
DefaultDirName={sd}\Heber\Xline
DefaultGroupName=Heber

[Files]
Source: "xline\bin\cctalk_4_1.xml";                            DestDir: "{app}\bin"
Source: "xline\bin\x10diag.exe";                               DestDir: "{app}\bin"
Source: "xline\doc\x10i_software_user_manual.pdf";             DestDir: "{app}\doc"
Source: "xline\doc\x10i-driver_release_history.pdf";           DestDir: "{app}\doc"
Source: "xline\doc\x10i-quick_start_guide.pdf";                DestDir: "{app}\doc"
Source: "xline\driver\fflyio.sys";                             DestDir: "{app}\driver"
Source: "xline\driver\fflyldr.sys";                            DestDir: "{app}\driver"
Source: "xline\driver\fflyusb.dll";                            DestDir: "{app}\driver"
Source: "xline\driver\fflyusb.inf";                            DestDir: "{app}\driver"
Source: "xline\driver\updatexline.bat";                        DestDir: "{app}\driver"
Source: "xline\driver\x10ildr.sys";                            DestDir: "{app}\driver"
Source: "xline\driver\x15ldr.sys";                             DestDir: "{app}\driver"
Source: "xline\include\fflyusb.h";                             DestDir: "{app}\include"
Source: "xline\include\unlockio.h";                            DestDir: "{app}\include"
Source: "xline\include\unlockioc.h";                           DestDir: "{app}\include"
Source: "xline\include\x10idefs.h";                            DestDir: "{app}\include"
Source: "xline\include\x15key.h";                              DestDir: "{app}\include"
Source: "xline\include\xlinecapi.h";                           DestDir: "{app}\include"
Source: "xline\lib\fflyusb.lib";                               DestDir: "{app}\lib"
Source: "xline\lib\unlockio.lib";                              DestDir: "{app}\lib"
Source: "xline\lib\unlockioc.lib";                             DestDir: "{app}\lib"
Source: "xline\lib\xlinecapi.lib";                             DestDir: "{app}\lib"
Source: "xline\samples\authenticate_win.cpp";                  DestDir: "{app}\samples"
Source: "xline\samples\authenticate_win.h";                    DestDir: "{app}\samples"
Source: "xline\samples\authenticatedemo.cpp";                  DestDir: "{app}\samples"
Source: "xline\samples\authenticatedemo.exe";                  DestDir: "{app}\samples"
Source: "xline\samples\cctalkdemo.cpp";                        DestDir: "{app}\samples"
Source: "xline\samples\cctalkdemo.exe";                        DestDir: "{app}\samples"
Source: "xline\samples\eepromdemo.cpp";                        DestDir: "{app}\samples"
Source: "xline\samples\eepromdemo.exe";                        DestDir: "{app}\samples"
Source: "xline\samples\fadedemo.cpp";                          DestDir: "{app}\samples"
Source: "xline\samples\fadedemo.exe";                          DestDir: "{app}\samples"
Source: "xline\samples\inpmuxdemo.cpp";                        DestDir: "{app}\samples"
Source: "xline\samples\inpmuxdemo.exe";                        DestDir: "{app}\samples"
Source: "xline\samples\iodemo.cpp";                            DestDir: "{app}\samples"
Source: "xline\samples\iodemo.exe";                            DestDir: "{app}\samples"
Source: "xline\samples\paralleldemo.cpp";                      DestDir: "{app}\samples"
Source: "xline\samples\paralleldemo.exe";                      DestDir: "{app}\samples"
Source: "xline\samples\randomdemo.cpp";                        DestDir: "{app}\samples"
Source: "xline\samples\randomdemo.exe";                        DestDir: "{app}\samples"
Source: "xline\samples\reels.cpp";                             DestDir: "{app}\samples"
Source: "xline\samples\reels.exe";                             DestDir: "{app}\samples"
Source: "xline\samples\serialdemo.cpp";                        DestDir: "{app}\samples"
Source: "xline\samples\serialdemo.exe";                        DestDir: "{app}\samples"
Source: "xline\samples\spidemo.cpp";                           DestDir: "{app}\samples"
Source: "xline\samples\spidemo.exe";                           DestDir: "{app}\samples"
Source: "xline\samples\sramdemo.cpp";                          DestDir: "{app}\samples"
Source: "xline\samples\sramdemo.exe";                          DestDir: "{app}\samples"
Source: "xline\samples\timedemo.cpp";                          DestDir: "{app}\samples"
Source: "xline\samples\timedemo.exe";                          DestDir: "{app}\samples"
Source: "xline\samples\x10errhd.c";                            DestDir: "{app}\samples"
Source: "xline\samplesc\cctalkdemo.cpp";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\cctalkdemo.exe";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\eepromdemo.cpp";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\eepromdemo.exe";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\fadedemo.cpp";                         DestDir: "{app}\samplesc"
Source: "xline\samplesc\fadedemo.exe";                         DestDir: "{app}\samplesc"
Source: "xline\samplesc\inpmuxdemo.cpp";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\inpmuxdemo.exe";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\iodemo.cpp";                           DestDir: "{app}\samplesc"
Source: "xline\samplesc\iodemo.cpp";                           DestDir: "{app}\samplesc"
Source: "xline\samplesc\paralleldemo.cpp";                     DestDir: "{app}\samplesc"
Source: "xline\samplesc\paralleldemo.exe";                     DestDir: "{app}\samplesc"
Source: "xline\samplesc\randomdemo.cpp";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\randomdemo.exe";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\reels.cpp";                            DestDir: "{app}\samplesc"
Source: "xline\samplesc\reels.exe";                            DestDir: "{app}\samplesc"
Source: "xline\samplesc\sasdemo.cpp";                          DestDir: "{app}\samplesc"
Source: "xline\samplesc\sasdemo.exe";                          DestDir: "{app}\samplesc"
Source: "xline\samplesc\serialdemo.cpp";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\serialdemo.exe";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\spidemo.cpp";                          DestDir: "{app}\samplesc"
Source: "xline\samplesc\spidemo.exe";                          DestDir: "{app}\samplesc"
Source: "xline\samplesc\sramdemo.cpp";                         DestDir: "{app}\samplesc"
Source: "xline\samplesc\sramdemo.exe";                         DestDir: "{app}\samplesc"
Source: "xline\samplesc\timedemo.cpp";                         DestDir: "{app}\samplesc"
Source: "xline\samplesc\timedemo.exe";                         DestDir: "{app}\samplesc"
Source: "xline\samplesc\xlineauthenticate.cpp";                DestDir: "{app}\samplesc"
Source: "xline\samplesc\xlineauthenticate.h";                  DestDir: "{app}\samplesc"
Source: "xline\samplesc\xlinecexit.cpp";                       DestDir: "{app}\samplesc"
Source: "xline\samplesc\xlinecexit.h";                         DestDir: "{app}\samplesc"
Source: "xline\samplesc\xlinecapi.dll";                        DestDir: "{app}\samplesc"

[Icons]
Name: "{group}\X-line\X-line Diagnostics Tool";                Filename: "{app}\bin\x10diag.exe";               WorkingDir: "{app}\bin"
Name: "{group}\X-line\X-line Driver Release History";          Filename: "{app}\doc\x10i-driver_release_history.pdf"
Name: "{group}\X-line\X-line Quick Start Guide";               Filename: "{app}\doc\x10i-quick_start_guide.pdf"
Name: "{group}\X-line\X-line Software User Guide";             Filename: "{app}\doc\x10i_software_user_manual.pdf"
Name: "{group}\X-line\Update X-line Drivers";                  Filename: "{app}\driver\updatexline.bat";        WorkingDir: "{app}\driver"
Name: "{group}\X-line\Uninstall X20 Development Kit";          Filename: "{uninstallexe}"
Name: "{group}\X-line\Demos\Authenticate Demo";                Filename: "{app}\samples\authenticatedemo.exe";  WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\CCTalk Demo";                      Filename: "{app}\samples\cctalkdemo.exe";        WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\EEPROM Demo";                      Filename: "{app}\samples\eepromdemo.exe";        WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\IO Demo";                          Filename: "{app}\samples\iodemo.exe";            WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\Light Fading Demo";                Filename: "{app}\samples\fadedemo.exe";          WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\Parallel Demo";                    Filename: "{app}\samples\paralleldemo.exe";      WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\Random Demo";                      Filename: "{app}\samples\randomdemo.exe";        WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\RTC Demo";                         Filename: "{app}\samples\timedemo.exe";          WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\Reel Demo";                        Filename: "{app}\samples\reels.exe";             WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\Serial Port Demo";                 Filename: "{app}\samples\serialdemo.exe";        WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\SPI Demo";                         Filename: "{app}\samples\spidemo.exe";           WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\SRAM Demo";                        Filename: "{app}\samples\sramdemo.exe";          WorkingDir: "{app}\samples"
Name: "{group}\X-line\Demos\C++ Source\authenticate_win.cpp";  Filename: "{app}\samples\authenticate_win.cpp"
Name: "{group}\X-line\Demos\C++ Source\authenticate_win.h";    Filename: "{app}\samples\authenticate_win.h"
Name: "{group}\X-line\Demos\C++ Source\authenticatedemo.cpp";  Filename: "{app}\samples\authenticatedemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\cctalkdemo.cpp";        Filename: "{app}\samples\cctalkdemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\eepromdemo.cpp";        Filename: "{app}\samples\eepromdemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\fadedemo.cpp";          Filename: "{app}\samples\fadedemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\iodemo.cpp";            Filename: "{app}\samples\iodemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\paralleldemo.cpp";      Filename: "{app}\samples\paralleldemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\randomdemo.cpp";        Filename: "{app}\samples\randomdemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\reels.cpp";             Filename: "{app}\samples\reels.cpp"
Name: "{group}\X-line\Demos\C++ Source\serialdemo.cpp";        Filename: "{app}\samples\serialdemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\spidemo.cpp";           Filename: "{app}\samples\spidemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\sramdemo.cpp";          Filename: "{app}\samples\sramdemo.cpp"
Name: "{group}\X-line\Demos\C++ Source\timedemo.cpp";          Filename: "{app}\samples\timedemo.cpp"
Name: "{group}\X-line\Demos\C Source\cctalkdemo.cpp";          Filename: "{app}\samplesc\cctalkdemo.cpp"
Name: "{group}\X-line\Demos\C Source\eepromdemo.cpp";          Filename: "{app}\samplesc\eepromdemo.cpp"
Name: "{group}\X-line\Demos\C Source\fadedemo.cpp";            Filename: "{app}\samplesc\fadedemo.cpp"
Name: "{group}\X-line\Demos\C Source\inpmuxdemo.cpp";          Filename: "{app}\samplesc\inpmuxdemo.cpp"
Name: "{group}\X-line\Demos\C Source\iodemo.cpp";              Filename: "{app}\samplesc\iodemo.cpp"
Name: "{group}\X-line\Demos\C Source\paralleldemo.cpp";        Filename: "{app}\samplesc\paralleldemo.cpp"
Name: "{group}\X-line\Demos\C Source\randomdemo.cpp";          Filename: "{app}\samplesc\randomdemo.cpp"
Name: "{group}\X-line\Demos\C Source\reels.cpp";               Filename: "{app}\samplesc\reels.cpp"
Name: "{group}\X-line\Demos\C Source\sasdemo.cpp";             Filename: "{app}\samplesc\sasdemo.cpp"
Name: "{group}\X-line\Demos\C Source\serialdemo.cpp";          Filename: "{app}\samplesc\serialdemo.cpp"
Name: "{group}\X-line\Demos\C Source\spidemo.cpp";             Filename: "{app}\samplesc\spidemo.cpp"
Name: "{group}\X-line\Demos\C Source\sramdemo.cpp";            Filename: "{app}\samplesc\sramdemo.cpp"
Name: "{group}\X-line\Demos\C Source\timedemo.cpp";            Filename: "{app}\samplesc\timedemo.cpp"
Name: "{group}\X-line\Demos\C Source\xlineauthenticate.cpp";   Filename: "{app}\samplesc\xlineauthenticate.cpp"
Name: "{group}\X-line\Demos\C Source\xlineauthenticate.h";     Filename: "{app}\samplesc\xlineauthenticate.h"
Name: "{group}\X-line\Demos\C Source\xlinecexit.cpp";          Filename: "{app}\samplesc\xlinecexit.cpp"
Name: "{group}\X-line\Demos\C Source\xlinecexit.h";            Filename: "{app}\samplesc\xlinecexit.h"
Name: "{group}\X-line\Demos\C Source\xlinecapi.dll";           Filename: "{app}\samplesc\xlinecapi.dll"

[Run]
Filename: "{app}\driver\updatexline.bat";                  Description: "Install the X-line drivers now";  Flags: postinstall shellexec skipifsilent

